## org.omg.CORBA
Class FixedDefPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.FixedDefPOA
                  |
                  +--org.omg.CORBA.FixedDefPOATie

All Implemented Interfaces:
  FixedDefOperations, IDLTypeOperations, InvokeHandler, IRObjectOperations

public class FixedDefPOATie
extends FixedDefPOA

A FixedDef represents an IDL fixed point type.

Constructor Summary
`FixedDefPOATie(FixedDefOperations tieObject)` Constructor
`FixedDefPOATie(FixedDefOperations tieObject, POA poa)` Constructor

Method Summary
`POA` `_default_POA()` _default_POA method
`FixedDefOperations` `_delegate()` Get the delegate
`void` `_delegate(FixedDefOperations delegate_)` Set the delegate
`DefinitionKind` `def_kind()` Read accessor for def_kind attribute
`void` `destroy()` Operation destroy
`short` `digits()` Read accessor for digits attribute
`void` `digits(short value)` Write accessor for digits attribute
`short` `scale()` Read accessor for scale attribute
`void` `scale(short value)` Write accessor for scale attribute
`TypeCode` `type()` Read accessor for type attribute

Methods inherited from class org.omg.CORBA.FixedDefPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedDefPOATie

    public FixedDefPOATie(FixedDefOperations tieObject)

  Constructor

### FixedDefPOATie

    public FixedDefPOATie(FixedDefOperations tieObject,
                          POA poa)

  Constructor

Method Detail

### _delegate

    public FixedDefOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(FixedDefOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### digits

    public short digits()

  Read accessor for digits attribute

### digits

    public void digits(short value)

  Write accessor for digits attribute

### scale

    public short scale()

  Read accessor for scale attribute

### scale

    public void scale(short value)

  Write accessor for scale attribute

### type

    public TypeCode type()

  Read accessor for type attribute

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute

### destroy

    public void destroy()

  Operation destroy